package com.hdkj.lt.core.sys.service;

import com.hdkj.lt.core.sys.model.vo.DicLevelTreeVo;
import com.hdkj.lt.core.sys.model.vo.DicVo;
import com.hdkj.lt.core.sys.model.vo.DictVo;

import java.util.List;

/**
 * @author rj
 * @date 2026/1/30 9:13
 * @description
 */
public interface ISysDicRefService {
    List<DictVo> getDictVosByTypeNames(List<String> typeNames);

    List<DicLevelTreeVo> getLevelDictByTypeName(String typeName);

    List<DicVo> getDicListByType(String typeName);
}
